%def_disable static
%def_without gimp

Name: frontline
Version: 0.5.4
Release: alt0.9

Summary: A GUI frontend for autotrace
Group: Graphics
License: GPL
Url: http://autotrace.sourceforge.net/frontline

Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: http://autotrace.sourceforge.net/%name/%name-%version.tar.gz

%define autotrace_ver 0.31.1
%define libart_lgpl_ver 2.3.10

Requires: libautotrace >= %autotrace_ver 
Requires: libart_lgpl >= %libart_lgpl_ver 

BuildPreReq: libart_lgpl-devel >= %libart_lgpl_ver
BuildPreReq: libautotrace-devel >= %autotrace_ver 

# Automatically added by buildreq on Wed Jun 02 2004
BuildRequires: ORBit-devel XFree86-devel XFree86-libs bzlib-devel esound-devel freetype2-devel glib-devel glib2 gnome-libs-devel gtk+-devel imlib-devel libImageMagick-devel libart_lgpl-devel libaudiofile-devel libautotrace-devel libdb1-devel libexif-devel libjpeg-devel liblcms-devel libpng-devel libpopt-devel libpstoedit-devel libstdc++-devel libtiff-devel libungif-devel pkgconfig zlib-devel

%description
Frontline provides a gtk+/gnome based GUI frontend for 
autotrace (http://autotrace.sourceforge.net) in 4 ways.

1. Stand alone program. A command `frontline' runs as a stand alone
   program. It will work well with Gnome desktop and nautilus.
   
2. Reusable library. A library `libfrontline.a' could be used as a
   building block of your application that needs the autotrace function.
   APIs are listed in frontline.h.  The stand alone program frontline
   itself uses libfrontline.a.

3. Sodipodi, a drawing editor add-on module. add-on module uses the 
   libfrontline.a. See below.

4. Gimp plug-in, You can launch frontline from the GIMP's menu.
   Select "<Image>/Filters/Trace/Trace..." .

%package -n lib%name-devel
Summary: Development package of %name
Group: Development/C
Requires: %name = %version-%release

%description -n lib%name-devel
Headers files needed to compile programs using lib%name.

%package -n lib%name-devel-static
Summary: Static version of lib%name
Group: System/Libraries
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static library required for packaging statically
linked software using lib%name.

%package gimp
Summary: Frontline plugin for GIMP
Group: Graphics

%description gimp
Gimp plug-in. You can launch frontline from the GIMP's menu.
Select "<Image>/Filters/Trace/Trace..." .

%define _gimpplugindir %(gimp-config --gimpplugindir)/plug-ins

%prep
%setup -q

%build
%configure \
	%{subst_enable static}

# SMP-incompatible build
%make

%install
%makeinstall libexecdir=%buildroot%_gimpplugindir

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="Multimedia/%group" title="Frontline" \
longtitle="A GUI frontend for Autotrace" command="%_bindir/%name" icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_datadir/pixmaps/*
%_datadir/mime-info/*
%_datadir/gnome/*/*/*
%_menudir/*
%doc README NEWS AUTHORS TODO ChangeLog

%files -n lib%name-devel
%_bindir/%name-config
%_includedir/*
%_libdir/pkgconfig/*
%_datadir/aclocal/*

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%if_with gimp
%files gimp
%_gimpplugindir/*
%endif

%changelog
* Wed Jun 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.5.4-alt0.9
- do not build plugin for gimp1.

* Tue Dec 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.4-alt0.8
- rebuild with new ImageMagick.
- libfrontline-devel-static subpackage is optional now.

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.5.4-alt0.7
- fixed buldreqs.

* Wed Nov 13 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.4-alt0.6
- 0.5.4

* Tue Nov 05 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.3-alt0.6
- 0.5.3

* Wed Sep 18 2002 Stanislav Ievlev <inger@altlinux.ru> 0.5.1-alt0.6
- NO SMP Build

* Mon Sep 16 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.5.1-alt0.5
- First build for Sisyphus.
